[Split] php lock errors after 3.3.0 update

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
jaybie
Registered User
Posts: 10
Joined: Sat Mar 28, 2020 7:49 pm

[Split] php lock errors after 3.3.0 update

Post by jaybie »

So, im no phpBB expert, not at all, please correct me if i'm wrong.
But i just updated my Strato phpBB installation to 3.3, did the manual update and it failed at the user_emoji_permission file, so directly at the beginning of the installation with the "aquiring locks error".

I couldn't find any fixes, so i just hit the update button again, and it failed again.
Then i closed FileZilla (cause i had it open in the background), hit the update Button again and it worked.

I dont know if that could be a solution for some people, but maybe FileZilla is writing stuff in the background, and the update cant overwrite certain files of it.

So try to close your FTP Client before fixing any .php files
Last edited by Mick on Sun Mar 29, 2020 6:59 am, edited 1 time in total.
User avatar
Dr.Death
Registered User
Posts: 400
Joined: Fri Apr 25, 2003 10:04 am
Location: Germany
Contact:

Re: [Split] php lock errors after 3.3.0 update

Post by Dr.Death »

Try this patch: https://github.com/phpbb/phpbb/pull/5873/files and redo your update
or wait for phpBB 3.2.9 / 3.3.1
Doc.
User avatar
warmweer
Jr. Extension Validator
Posts: 5809
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: [Split] php lock errors after 3.3.0 update

Post by warmweer »

Dr.Death wrote:
Sun Mar 29, 2020 9:57 am
Try this patch: https://github.com/phpbb/phpbb/pull/5873/files and redo your update
or wait for phpBB 3.2.9 / 3.3.1
If waiting is an option, I'ld wait for 3.2.10 ;)
see phpBB 3.2.9 Release - Please Update
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
Dr.Death
Registered User
Posts: 400
Joined: Fri Apr 25, 2003 10:04 am
Location: Germany
Contact:

Re: [Split] php lock errors after 3.3.0 update

Post by Dr.Death »

hmpf... missed that one.... I've self upgraded from 3.2.8 to 3.3.0 :roll:
Doc.
Post Reply

Return to “[3.3.x] Support Forum”